> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clubfix.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Lista todas as assinaturas

> Este endpoint lista (com paginação) todas as assinaturas realizadas pelo parceiro autenticado.

<ParamField header="Authorization" type="string" required>
  Token de autenticação do tipo Bearer obtido através do endpoint de login.
</ParamField>


## OpenAPI

````yaml GET /subscriptions
openapi: 3.0.3
info:
  title: Clubfix Webservice de Parceiros
  description: >-
    Bem vido(a) à documentação do **Webservice de Parceiros** da **Clubfix.** Os
    recursos aqui dispostos são suplementados com exemplos de respostas
    esperadas, para nortear a implementação. Caso haja algum empecilho ou erro
    não esperado, fique à vontade para chamar o suporte em TI pelos canais que
    você já conhece.


    Observação: Utilize sempre os cabeçalhos `Content-Type` e `Accept` como
    `application/json`


    #### **URL Base**


    | **Ambiente** | **URL** |

    | --- | --- |

    | Homologação | [https://homolog.clubfix.com.br/webservice]() |

    | Produção | [https://clubfix.com.br/webservice]() |


    > NOTA: Para conseguir utilizar ambos ambientes, faz-se necessário solicitar
    pelo nosso time de suporte a geração das chaves de autenticação mencionadas
    na seção de **Autenticação**. 
      

    #### Paginação


    Para navegar nos recursos de listagem através de suas páginas, utilize as
    `parâmeros` dispostas na tabela abaixo


    | **Parâmetro** | **Descrição** |

    | --- | --- |

    | page | Corresponde à pagina que você deseja exibir os dados. |

    | per_page | Altera a quantidade de itens devolvidos em uma requisição. |

    | current_page | Identifica a pagina correspondente àquela requisição. |


    ### **Conhecendo os erros comuns**


    | **Status Code** | **Descrição** |

    | --- | --- |

    | 422 | Erro em algum parâmetro fornecido. O resultado deste erro será um
    objeto, onde a sua chave indicará o campo que não está em conformidade. |

    | 401 | Não autorizado. Significa que há ausência de um token válido na
    requisição, seja por expiração, não fornecimento, ou, no caso do login, as
    suas credenciais não estão corretas. |

    | 5** | Erro de servidor no endpoint requisitado. Quando isso ocorrer,
    contate o nosso suporte. |
  version: 1.0.0
servers: []
security: []
paths:
  /subscriptions:
    get:
      summary: Listar Assinaturas
      description: >-
        Este endpoint lista (com paginação) todas as assinaturas realizadas pelo
        parceiro autenticado.
      parameters:
        - name: Accept
          in: header
          required: true
          schema:
            type: string
          example: application/json
      responses:
        '200':
          description: List all subscriptions
          content:
            application/json:
              example:
                data:
                  - id: 2
                    plan:
                      id: 1
                      name: Proteção Clubfix
                      coverages:
                        - Quebra de Tela
                        - Danos Líquidos
                        - Oxidação
                        - Alto Falantes
                        - Microfone
                        - Danos Internos
                        - Conector de Carga
                        - Wi-Fi/Sinal
                    customer:
                      id: 11
                      name: Sergio Danilo Jr.
                      document: '31815134070'
                      phone: '32863751018'
                      email: sergio8@email.com
                      address:
                        street: Beco João Veloso
                        number: 770
                        complement: null
                        zipcode: '82820320'
                        neighborhood: Bairro Alto
                        city: Curitiba
                        state: PR
                    device:
                      id: 1
                      name: onetouch|5017A PIXI3 4.5 SS
                      brand:
                        id: 1
                        name: Alcatel
                        meta:
                          link: https://homolog.clubfix.com.br/webservice/brands/1
                      meta:
                        link: https://homolog.clubfix.com.br/webservice/models/1
                      serial_number: '356133319339502'
                      is_used: true
                    valor: 7.04
                    franchise: 84.83
                    status: PROTECTED
                    created_at: '2023-07-26 08:43:56'
                  - id: 3
                    plan:
                      id: 1
                      name: Proteção Clubfix
                      coverages:
                        - Quebra de Tela
                        - Danos Líquidos
                        - Oxidação
                        - Alto Falantes
                        - Microfone
                        - Danos Internos
                        - Conector de Carga
                        - Wi-Fi/Sinal
                    customer:
                      id: 11
                      name: Sergio Danilo Jr.
                      document: '31815134070'
                      phone: '32863751018'
                      email: sergio8@email.com
                      address:
                        street: Beco João Veloso
                        number: 770
                        complement: null
                        zipcode: '82820320'
                        neighborhood: Bairro Alto
                        city: Curitiba
                        state: PR
                    device:
                      id: 1
                      name: onetouch|5017A PIXI3 4.5 SS
                      brand:
                        id: 1
                        name: Alcatel
                        meta:
                          link: https://homolog.clubfix.com.br/webservice/brands/1
                      meta:
                        link: https://homolog.clubfix.com.br/webservice/models/1
                      serial_number: '356133319339512'
                      is_used: true
                    valor: 7.04
                    franchise: 84.83
                    status: PROTECTED
                    created_at: '2023-07-26 08:47:02'
                  - id: 5
                    plan:
                      id: 1
                      name: Proteção Clubfix
                      coverages:
                        - Quebra de Tela
                        - Danos Líquidos
                        - Oxidação
                        - Alto Falantes
                        - Microfone
                        - Danos Internos
                        - Conector de Carga
                        - Wi-Fi/Sinal
                    customer:
                      id: 11
                      name: Sergio Danilo Jr.
                      document: '31815134070'
                      phone: '32863751018'
                      email: sergio8@email.com
                      address:
                        street: Beco João Veloso
                        number: 770
                        complement: null
                        zipcode: '82820320'
                        neighborhood: Bairro Alto
                        city: Curitiba
                        state: PR
                    device:
                      id: 1
                      name: onetouch|5017A PIXI3 4.5 SS
                      brand:
                        id: 1
                        name: Alcatel
                        meta:
                          link: https://homolog.clubfix.com.br/webservice/brands/1
                      meta:
                        link: https://homolog.clubfix.com.br/webservice/models/1
                      serial_number: '356133319339532'
                      is_used: true
                    valor: 7.04
                    franchise: 84.83
                    status: PROTECTED
                    created_at: '2023-07-26 08:48:49'
                  - id: 6
                    plan:
                      id: 1
                      name: Proteção Clubfix
                      coverages:
                        - Quebra de Tela
                        - Danos Líquidos
                        - Oxidação
                        - Alto Falantes
                        - Microfone
                        - Danos Internos
                        - Conector de Carga
                        - Wi-Fi/Sinal
                    customer:
                      id: 11
                      name: Sergio Danilo Jr.
                      document: '31815134070'
                      phone: '32863751018'
                      email: sergio8@email.com
                      address:
                        street: Beco João Veloso
                        number: 770
                        complement: null
                        zipcode: '82820320'
                        neighborhood: Bairro Alto
                        city: Curitiba
                        state: PR
                    device:
                      id: 1
                      name: onetouch|5017A PIXI3 4.5 SS
                      brand:
                        id: 1
                        name: Alcatel
                        meta:
                          link: https://homolog.clubfix.com.br/webservice/brands/1
                      meta:
                        link: https://homolog.clubfix.com.br/webservice/models/1
                      serial_number: '356133319339542'
                      is_used: true
                    valor: 7.04
                    franchise: 84.83
                    status: PROTECTED
                    created_at: '2023-07-26 08:49:44'
                  - id: 7
                    plan:
                      id: 1
                      name: Proteção Clubfix
                      coverages:
                        - Quebra de Tela
                        - Danos Líquidos
                        - Oxidação
                        - Alto Falantes
                        - Microfone
                        - Danos Internos
                        - Conector de Carga
                        - Wi-Fi/Sinal
                    customer:
                      id: 11
                      name: Sergio Danilo Jr.
                      document: '31815134070'
                      phone: '32863751018'
                      email: sergio8@email.com
                      address:
                        street: Beco João Veloso
                        number: 770
                        complement: null
                        zipcode: '82820320'
                        neighborhood: Bairro Alto
                        city: Curitiba
                        state: PR
                    device:
                      id: 1
                      name: onetouch|5017A PIXI3 4.5 SS
                      brand:
                        id: 1
                        name: Alcatel
                        meta:
                          link: https://homolog.clubfix.com.br/webservice/brands/1
                      meta:
                        link: https://homolog.clubfix.com.br/webservice/models/1
                      serial_number: '356133319339552'
                      is_used: true
                    valor: 7.04
                    franchise: 84.83
                    status: PROTECTED
                    created_at: '2023-07-26 08:51:36'
                  - id: 8
                    plan:
                      id: 1
                      name: Proteção Clubfix
                      coverages:
                        - Quebra de Tela
                        - Danos Líquidos
                        - Oxidação
                        - Alto Falantes
                        - Microfone
                        - Danos Internos
                        - Conector de Carga
                        - Wi-Fi/Sinal
                    customer:
                      id: 11
                      name: Sergio Danilo Jr.
                      document: '31815134070'
                      phone: '32863751018'
                      email: sergio8@email.com
                      address:
                        street: Beco João Veloso
                        number: 770
                        complement: null
                        zipcode: '82820320'
                        neighborhood: Bairro Alto
                        city: Curitiba
                        state: PR
                    device:
                      id: 1
                      name: onetouch|5017A PIXI3 4.5 SS
                      brand:
                        id: 1
                        name: Alcatel
                        meta:
                          link: https://homolog.clubfix.com.br/webservice/brands/1
                      meta:
                        link: https://homolog.clubfix.com.br/webservice/models/1
                      serial_number: '356133319339562'
                      is_used: true
                    valor: 7.04
                    franchise: 84.83
                    status: PROTECTED
                    created_at: '2023-07-26 08:53:34'
                  - id: 9
                    plan:
                      id: 1
                      name: Proteção Clubfix
                      coverages:
                        - Quebra de Tela
                        - Danos Líquidos
                        - Oxidação
                        - Alto Falantes
                        - Microfone
                        - Danos Internos
                        - Conector de Carga
                        - Wi-Fi/Sinal
                    customer:
                      id: 11
                      name: Sergio Danilo Jr.
                      document: '31815134070'
                      phone: '32863751018'
                      email: sergio8@email.com
                      address:
                        street: Beco João Veloso
                        number: 770
                        complement: null
                        zipcode: '82820320'
                        neighborhood: Bairro Alto
                        city: Curitiba
                        state: PR
                    device:
                      id: 1
                      name: onetouch|5017A PIXI3 4.5 SS
                      brand:
                        id: 1
                        name: Alcatel
                        meta:
                          link: https://homolog.clubfix.com.br/webservice/brands/1
                      meta:
                        link: https://homolog.clubfix.com.br/webservice/models/1
                      serial_number: '356133319339572'
                      is_used: true
                    valor: 7.04
                    franchise: 84.83
                    status: PROTECTED
                    created_at: '2023-07-26 08:54:47'
                  - id: 10
                    plan:
                      id: 1
                      name: Proteção Clubfix
                      coverages:
                        - Quebra de Tela
                        - Danos Líquidos
                        - Oxidação
                        - Alto Falantes
                        - Microfone
                        - Danos Internos
                        - Conector de Carga
                        - Wi-Fi/Sinal
                    customer:
                      id: 11
                      name: Sergio Danilo Jr.
                      document: '31815134070'
                      phone: '32863751018'
                      email: sergio8@email.com
                      address:
                        street: Beco João Veloso
                        number: 770
                        complement: null
                        zipcode: '82820320'
                        neighborhood: Bairro Alto
                        city: Curitiba
                        state: PR
                    device:
                      id: 1
                      name: onetouch|5017A PIXI3 4.5 SS
                      brand:
                        id: 1
                        name: Alcatel
                        meta:
                          link: https://homolog.clubfix.com.br/webservice/brands/1
                      meta:
                        link: https://homolog.clubfix.com.br/webservice/models/1
                      serial_number: '356133319339582'
                      is_used: true
                    valor: 7.04
                    franchise: 84.83
                    status: PROTECTED
                    created_at: '2023-07-26 08:56:03'
                  - id: 11
                    plan:
                      id: 1
                      name: Proteção Clubfix
                      coverages:
                        - Quebra de Tela
                        - Danos Líquidos
                        - Oxidação
                        - Alto Falantes
                        - Microfone
                        - Danos Internos
                        - Conector de Carga
                        - Wi-Fi/Sinal
                    customer:
                      id: 11
                      name: Sergio Danilo Jr.
                      document: '31815134070'
                      phone: '32863751018'
                      email: sergio8@email.com
                      address:
                        street: Beco João Veloso
                        number: 770
                        complement: null
                        zipcode: '82820320'
                        neighborhood: Bairro Alto
                        city: Curitiba
                        state: PR
                    device:
                      id: 1
                      name: onetouch|5017A PIXI3 4.5 SS
                      brand:
                        id: 1
                        name: Alcatel
                        meta:
                          link: https://homolog.clubfix.com.br/webservice/brands/1
                      meta:
                        link: https://homolog.clubfix.com.br/webservice/models/1
                      serial_number: '356133319339592'
                      is_used: true
                    valor: 7.04
                    franchise: 84.83
                    status: PROTECTED
                    created_at: '2023-07-26 08:58:53'
                  - id: 12
                    plan:
                      id: 1
                      name: Proteção Clubfix
                      coverages:
                        - Quebra de Tela
                        - Danos Líquidos
                        - Oxidação
                        - Alto Falantes
                        - Microfone
                        - Danos Internos
                        - Conector de Carga
                        - Wi-Fi/Sinal
                    customer:
                      id: 11
                      name: Sergio Danilo Jr.
                      document: '31815134070'
                      phone: '32863751018'
                      email: sergio8@email.com
                      address:
                        street: Beco João Veloso
                        number: 770
                        complement: null
                        zipcode: '82820320'
                        neighborhood: Bairro Alto
                        city: Curitiba
                        state: PR
                    device:
                      id: 1
                      name: onetouch|5017A PIXI3 4.5 SS
                      brand:
                        id: 1
                        name: Alcatel
                        meta:
                          link: https://homolog.clubfix.com.br/webservice/brands/1
                      meta:
                        link: https://homolog.clubfix.com.br/webservice/models/1
                      serial_number: '356133319339503'
                      is_used: true
                    valor: 7.04
                    franchise: 84.83
                    status: PROTECTED
                    created_at: '2023-07-26 08:59:50'
                  - id: 13
                    plan:
                      id: 1
                      name: Proteção Clubfix
                      coverages:
                        - Quebra de Tela
                        - Danos Líquidos
                        - Oxidação
                        - Alto Falantes
                        - Microfone
                        - Danos Internos
                        - Conector de Carga
                        - Wi-Fi/Sinal
                    customer:
                      id: 11
                      name: Sergio Danilo Jr.
                      document: '31815134070'
                      phone: '32863751018'
                      email: sergio8@email.com
                      address:
                        street: Beco João Veloso
                        number: 770
                        complement: null
                        zipcode: '82820320'
                        neighborhood: Bairro Alto
                        city: Curitiba
                        state: PR
                    device:
                      id: 1
                      name: onetouch|5017A PIXI3 4.5 SS
                      brand:
                        id: 1
                        name: Alcatel
                        meta:
                          link: https://homolog.clubfix.com.br/webservice/brands/1
                      meta:
                        link: https://homolog.clubfix.com.br/webservice/models/1
                      serial_number: '356133319339504'
                      is_used: true
                    valor: 7.04
                    franchise: 84.83
                    status: PROTECTED
                    created_at: '2023-07-26 09:00:54'
                  - id: 14
                    plan:
                      id: 1
                      name: Proteção Clubfix
                      coverages:
                        - Quebra de Tela
                        - Danos Líquidos
                        - Oxidação
                        - Alto Falantes
                        - Microfone
                        - Danos Internos
                        - Conector de Carga
                        - Wi-Fi/Sinal
                    customer:
                      id: 11
                      name: Sergio Danilo Jr.
                      document: '31815134070'
                      phone: '32863751018'
                      email: sergio8@email.com
                      address:
                        street: Beco João Veloso
                        number: 770
                        complement: null
                        zipcode: '82820320'
                        neighborhood: Bairro Alto
                        city: Curitiba
                        state: PR
                    device:
                      id: 1
                      name: onetouch|5017A PIXI3 4.5 SS
                      brand:
                        id: 1
                        name: Alcatel
                        meta:
                          link: https://homolog.clubfix.com.br/webservice/brands/1
                      meta:
                        link: https://homolog.clubfix.com.br/webservice/models/1
                      serial_number: '356133319339505'
                      is_used: true
                    valor: 7.04
                    franchise: 84.83
                    status: PROTECTED
                    created_at: '2023-07-26 09:01:23'
                  - id: 15
                    plan:
                      id: 1
                      name: Proteção Clubfix
                      coverages:
                        - Quebra de Tela
                        - Danos Líquidos
                        - Oxidação
                        - Alto Falantes
                        - Microfone
                        - Danos Internos
                        - Conector de Carga
                        - Wi-Fi/Sinal
                    customer:
                      id: 11
                      name: Sergio Danilo Jr.
                      document: '31815134070'
                      phone: '32863751018'
                      email: sergio8@email.com
                      address:
                        street: Beco João Veloso
                        number: 770
                        complement: null
                        zipcode: '82820320'
                        neighborhood: Bairro Alto
                        city: Curitiba
                        state: PR
                    device:
                      id: 1
                      name: onetouch|5017A PIXI3 4.5 SS
                      brand:
                        id: 1
                        name: Alcatel
                        meta:
                          link: https://homolog.clubfix.com.br/webservice/brands/1
                      meta:
                        link: https://homolog.clubfix.com.br/webservice/models/1
                      serial_number: '356133319339506'
                      is_used: true
                    valor: 7.04
                    franchise: 84.83
                    status: PROTECTED
                    created_at: '2023-07-26 09:02:55'
                  - id: 16
                    plan:
                      id: 1
                      name: Proteção Clubfix
                      coverages:
                        - Quebra de Tela
                        - Danos Líquidos
                        - Oxidação
                        - Alto Falantes
                        - Microfone
                        - Danos Internos
                        - Conector de Carga
                        - Wi-Fi/Sinal
                    customer:
                      id: 11
                      name: Sergio Danilo Jr.
                      document: '31815134070'
                      phone: '32863751018'
                      email: sergio8@email.com
                      address:
                        street: Beco João Veloso
                        number: 770
                        complement: null
                        zipcode: '82820320'
                        neighborhood: Bairro Alto
                        city: Curitiba
                        state: PR
                    device:
                      id: 1
                      name: onetouch|5017A PIXI3 4.5 SS
                      brand:
                        id: 1
                        name: Alcatel
                        meta:
                          link: https://homolog.clubfix.com.br/webservice/brands/1
                      meta:
                        link: https://homolog.clubfix.com.br/webservice/models/1
                      serial_number: '356133319339507'
                      is_used: true
                    valor: 7.04
                    franchise: 84.83
                    status: PROTECTED
                    created_at: '2023-07-26 09:03:27'
                  - id: 17
                    plan:
                      id: 1
                      name: Proteção Clubfix
                      coverages:
                        - Quebra de Tela
                        - Danos Líquidos
                        - Oxidação
                        - Alto Falantes
                        - Microfone
                        - Danos Internos
                        - Conector de Carga
                        - Wi-Fi/Sinal
                    customer:
                      id: 11
                      name: Sergio Danilo Jr.
                      document: '31815134070'
                      phone: '32863751018'
                      email: sergio8@email.com
                      address:
                        street: Beco João Veloso
                        number: 770
                        complement: null
                        zipcode: '82820320'
                        neighborhood: Bairro Alto
                        city: Curitiba
                        state: PR
                    device:
                      id: 1
                      name: onetouch|5017A PIXI3 4.5 SS
                      brand:
                        id: 1
                        name: Alcatel
                        meta:
                          link: https://homolog.clubfix.com.br/webservice/brands/1
                      meta:
                        link: https://homolog.clubfix.com.br/webservice/models/1
                      serial_number: '356133319339508'
                      is_used: true
                    valor: 7.04
                    franchise: 84.83
                    status: PROTECTED
                    created_at: '2023-07-26 09:05:58'
                links:
                  first: >-
                    https://homolog.clubfix.com.br/webservice/subscriptions?page=1
                  last: >-
                    https://homolog.clubfix.com.br/webservice/subscriptions?page=2
                  prev: null
                  next: >-
                    https://homolog.clubfix.com.br/webservice/subscriptions?page=2
                meta:
                  current_page: 1
                  from: 1
                  last_page: 2
                  links:
                    - url: null
                      label: '&laquo; Anterior'
                      active: false
                    - url: >-
                        https://homolog.clubfix.com.br/webservice/subscriptions?page=1
                      label: '1'
                      active: true
                    - url: >-
                        https://homolog.clubfix.com.br/webservice/subscriptions?page=2
                      label: '2'
                      active: false
                    - url: >-
                        https://homolog.clubfix.com.br/webservice/subscriptions?page=2
                      label: Próxima &raquo;
                      active: false
                  path: https://homolog.clubfix.com.br/webservice/subscriptions
                  per_page: 15
                  to: 15
                  total: 17
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        plan:
                          type: object
                          properties:
                            id:
                              type: integer
                            name:
                              type: string
                            coverages:
                              type: array
                              items:
                                type: string
                        customer:
                          type: object
                          properties:
                            id:
                              type: integer
                            name:
                              type: string
                            document:
                              type: string
                            phone:
                              type: string
                            email:
                              type: string
                            address:
                              type: object
                              properties:
                                street:
                                  type: string
                                number:
                                  type: integer
                                complement:
                                  type: string
                                zipcode:
                                  type: string
                                neighborhood:
                                  type: string
                                city:
                                  type: string
                                state:
                                  type: string
                        device:
                          type: object
                          properties:
                            id:
                              type: integer
                            name:
                              type: string
                            brand:
                              type: object
                              properties:
                                id:
                                  type: integer
                                name:
                                  type: string
                                meta:
                                  type: object
                                  properties:
                                    link:
                                      type: string
                            meta:
                              type: object
                              properties:
                                link:
                                  type: string
                            serial_number:
                              type: string
                            is_used:
                              type: integer
                        valor:
                          type: number
                        franchise:
                          type: number
                        status:
                          type: string
                        created_at:
                          type: string
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                      last:
                        type: string
                      prev:
                        type: string
                      next:
                        type: string
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                      from:
                        type: integer
                      last_page:
                        type: integer
                      links:
                        type: array
                        items:
                          type: object
                          properties:
                            url:
                              type: string
                            label:
                              type: string
                            active:
                              type: integer
                      path:
                        type: string
                      per_page:
                        type: integer
                      to:
                        type: integer
                      total:
                        type: integer

````